%define real_name XML-Parser
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)
%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

Summary: XML Parser
Name: perl-xml-parser
Version: 2.34
Release: 3tr
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/XML/%{real_name}-%{version}.tar.gz
License: GPL
Group: Trustix Official
Requires: perl >= %{perl_version}, expat
BuildRequires: perl-devel expat-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a Perl extension interface to James Clark's XML parser, expat.
It requires at least version 5.004 of perl and it requires that you have
release 1.95.0 or greater of expat installed.

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=site \
    
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

%files
%defattr(-,root,root,0755)
%doc README
%{siteperl}/i586-linux-thread-multi/auto/XML/Parser
%{siteperl}/i586-linux-thread-multi/XML/*.pm
%{siteperl}/i586-linux-thread-multi/XML/Parser
%{_mandir}/man3/*

%changelog
* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 2.34.0-3tr
- Rebuilt on perl-5.8.7
			
* Mon May 23 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.34.0-1tr
- New Package for TSL-3.0
- Spec file clean up

* Sun Nov 14 2004 Morten Nilsen <morten@nilsen.com>
- Initial build, spec based on perl-dbd-mysql
